org.apache.solr.common.cloud

## Class PlainIdRouter

- java.lang.Object
- - org.apache.solr.common.cloud.DocRouter
  - - org.apache.solr.common.cloud.HashBasedRouter
    - - org.apache.solr.common.cloud.PlainIdRouter

    public class PlainIdRouter
    extends HashBasedRouter

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.common.cloud.DocRouter

`DocRouter.Range`

### Field Summary

Fields
`static String` `NAME`

### Fields inherited from class org.apache.solr.common.cloud.DocRouter

`DEFAULT, DEFAULT_NAME`

### Constructor Summary

Constructors
Constructor and Description
`PlainIdRouter()`

### Method Summary

### Methods inherited from class org.apache.solr.common.cloud.HashBasedRouter

`getId, getSearchSlicesSingle, getTargetSlice, hashToSlice, isTargetSlice, sliceHash`

### Methods inherited from class org.apache.solr.common.cloud.DocRouter

`fromString, fullRange, getDocRouter, getRouteField, getRouterSpec, getSearchSlices, partitionRange`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### PlainIdRouter

    public PlainIdRouter()